Mattermost, Inc.

Trying to setup developer env on Ubuntu

Hi All!

Trying to start dev env following official guide.
installing and make test - seems ok

make run failing with:

ERROR in ./~/css-loader!./~/sass-loader!./sass/styles.scss
Module build failed: Error: The libsass binding was not found in /root/go/src/github.com/mattermost/platform/webapp/node_modules/node-sass/vendor/linux-x64-47/binding.node
This usually happens because your node version has changed.
Run npm rebuild node-sass to build the binding for your current node version.

and npm rebuild node-sass saying:

“/root/go/src/github.com/mattermost/platform/node_modules/node-sass/vendor/linux-x64-47/binding.node” exists.
testing binary.
Binary is fine; exiting.

I’m using Ubuntu 16.04 LTS

So how to fix this?

Hi azure,

I have seen this happen when your using an older version of node. Can you try updating to the latest version of node.js and see if this fixes your issue?

Christopher